import { defineConfig } from "vite";
import { serwist } from "@serwist/vite";
import viteReact from "@vitejs/plugin-react";
import tailwindcss from "@tailwindcss/vite";
import path from "path";


// https://vitejs.dev/config/
export default defineConfig({
    plugins: [
        viteReact(),
        tailwindcss(),
        serwist({
            swSrc: "src/sw.ts",
            swDest: "sw.js",
            globDirectory: "dist",
            injectionPoint: "self.__SW_MANIFEST",
            rollupFormat: "iife",
        }),
    ],
    server: {
        host: true,
        https: {
            key: "certificates/cert.key",
            cert: "certificates/cert.crt",
        },
    },
    resolve: {
        alias: {
            "~": path.resolve(__dirname, "./src"),
        },
    },
    test: {
        globals: true,
        environment: "jsdom",
    },

});
